commit:     1ba94803af2d44b47118096a29fc76453c4c3bc5
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 27 21:10:42 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Feb 27 21:39:13 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ba94803

dev-python/xxhash: add Python 3.9

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/xxhash/xxhash-2.0.0.ebuild | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

diff --git a/dev-python/xxhash/xxhash-2.0.0.ebuild 
b/dev-python/xxhash/xxhash-2.0.0.ebuild
index 287ddf042f3..a27b42c102f 100644
--- a/dev-python/xxhash/xxhash-2.0.0.ebuild
+++ b/dev-python/xxhash/xxhash-2.0.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
-PYTHON_COMPAT=(python3_{7..8})
+PYTHON_COMPAT=( python3_{7..9} )
 
 inherit distutils-r1
 
@@ -15,7 +15,6 @@ LICENSE="MIT"
 
 KEYWORDS="~amd64"
 SLOT="0"
-IUSE="test"
 
 RDEPEND=">=dev-libs/xxhash-0.8.0"
 BDEPEND="${RDEPEND}"
@@ -27,6 +26,6 @@ python_configure_all() {
 }
 
 python_test() {
-       cd tests
+       cd tests || die
        "${EPYTHON}" -m unittest discover -v || die "tests failed with 
${EPYTHON}"
 }

Reply via email to